Subject: bug#35153: tramp-test30-make-process sometimes aborts

From: Michael Albinus <[email-masked]>
Date: Sat, 06 Apr 2019 11:49:21 +0200

Michael Albinus <[email-masked]> writes:

Hi Glenn,
>
>> I notice that tramp-test30-make-process is not infrequently aborting of
>> late, eg
>
> As you might expect, I don't see this locally. I've instrumnted
> tramp-test30-make-process, let's see what happens.

It happened on hydra, again. The error message is

--8<---------------cut here---------------start------------->8---
Test tramp-test30-make-process backtrace:
  #f(compiled-function (buf) #<bytecode 0x6f0101>)(#<killed buffer>)
  mapcar(#f(compiled-function (buf) #<bytecode 0x6f0101>) (#<killed buffer> #<killed buffer>))
  auto-revert-buffers()
  auto-revert-mode()
[...]
Test tramp-test30-make-process condition:
    (error "Selecting deleted buffer")
   FAILED  40/66  tramp-test30-make-process (29.802767 sec)
--8<---------------cut here---------------end--------------->8---

This looks to me like bug#34847. Given, that I have a patch for this in
my local emacs repo, there's no surprise it doesn't happen to me. I've
just pushed that patch to master; let's see whether this bug here disappears.

Best regards, Michael.